- page_title = current_page.data.title
- site_title = data.site.title
- page_desc = current_page.data.description || (is_blog_article? && (to_cdata current_article.summary)) || data.site.description
- page_author = (is_blog_article? && current_article.data.author) || data.site.author
- page_keywords = current_page.data.keywords || data.site.keywords
- if (page_image = is_blog_article? && current_article.data.image)
  - page_image = to_absolute_uri (asset_url page_image, 'img/blog')
- else
  - page_image = to_absolute_uri (asset_url 'img/site-image.png')
doctype 5
html lang='en'
  head
    meta charset='utf-8'
    meta name='viewport' content='width=device-width, initial-scale=1.0'
    title
      - if page_title && page_title != site_title && page_title != 'Home'
        = %(#{page_title} - #{site_title})
      - else
        = site_title
    - if page_desc
      meta name='description' content=page_desc
    - if page_author
      meta name='author' content=page_author
    - if page_keywords
      meta name='keywords' content=page_keywords
    - if (page_copyright = data.site.copyright)
      meta name='copyright' content=page_copyright
    meta name='og:site_name' content=data.site.title
    meta name='og:type' content=(is_blog_article? ? 'article' : 'website')
    meta name='og:title' content=(page_title || site_title)
    meta name='og:url' content=(to_absolute_uri current_page.url)
    - if page_image
      meta name='og:image' content=page_image
    - if page_desc
      meta name='og:description' content=page_desc
    - if is_blog_article?
      meta name='article:published_time' content=(to_datetime current_article.date)
      - current_article.tags.sort.each do |tag|
        meta name='article:tag' content=tag
    - if page_image
      meta name='twitter:card' content=(is_blog_article? ? 'summary_large_image' : 'summary')
      meta name='twitter:image' content=page_image
    - else
      meta name='twitter:card' content='summary'
    meta name='twitter:site' content=data.site.twitter
    link rel='alternate' href=(url_for 'blog/feed.xml') type='application/atom+xml'
    link rel='icon' href=(asset_url 'favicon.ico') type='image/x-icon'
    - if (app.environment? :production) && !preview?
      |<script>if(location.host=="antora.opendevise.com")location.host="opendevise.com"</script>
    = (stylesheet_link_tag :site).sub(' type="text/css"', '').sub(' />', '>')
  body class=(is_blog_article? ? 'blog-page' : (current_page.page_id == 'index' ? 'home-page' : (current_page.page_id.tr '/', '-') + '-page'))
    = yield
    = partial '_partials/footer'
